/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2013-04-03 15:10:13Z
 *****************************************************************************/

#ifndef __RSRTM_ATTRIBUTES_HEADER
#define __RSRTM_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrtm_doubleQuotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm_PatternCondition_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm_singleStatisticalValue_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrtm_doubleQuotedString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsrtm_PatternCondition_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsrtm_rngHorzScale;
extern RsRangeTable rsrtm_rngHorzAcquisitionTime;
extern RsRangeTable rsrtm_rngAcquisitionStartTime;
extern RsRangeTable rsrtm_rngHorzReference;
extern RsRangeTable rsrtm_rngSampleMode;
extern RsRangeTable rsrtm_rngWaveformArithmetics;
extern RsRangeTable rsrtm_rngVerticalCoupling;
extern RsRangeTable rsrtm_rngVerticalScale;
extern RsRangeTable rsrtm_rngVerticalRange;
extern RsRangeTable rsrtm_rngVerticalOffset;
extern RsRangeTable rsrtm_rngChannelOffset;
extern RsRangeTable rsrtm_rngChannelBWLimit;
extern RsRangeTable rsrtm_rngTriggerSource;
extern RsRangeTable rsrtm_rngTriggerLevel;
extern RsRangeTable rsrtm_rngTriggerSlope;
extern RsRangeTable rsrtm_rngPolarity;
extern RsRangeTable rsrtm_rngWidthCondition;
extern RsRangeTable rsrtm_rngLineNumber;
extern RsRangeTable rsrtm_rngTVTriggerEvent;
extern RsRangeTable rsrtm_rngChannelPatternCombination;
extern RsRangeTable rsrtm_rngFalseTrue;
extern RsRangeTable rsrtm_rngCursorFunction;
extern RsRangeTable rsrtm_rngCursorXPosition;
extern RsRangeTable rsrtm_rngCursorYPosition;
extern RsRangeTable rsrtm_rngPct;
extern RsRangeTable rsrtm_rngXRatioMeasurementUnit;
extern RsRangeTable rsrtm_rngYRatioMeasurementUnit;
extern RsRangeTable rsrtm_rngRollModeAuto;
extern RsRangeTable rsrtm_rngInterpolation;
extern RsRangeTable rsrtm_rngMeasurementCategory;
extern RsRangeTable rsrtm_rngFFTWindowType;
extern RsRangeTable rsrtm_rngRBW;
extern RsRangeTable rsrtm_rngRBWRatio;
extern RsRangeTable rsrtm_rngPeakExcursion;
extern RsRangeTable rsrtm_rngMathFFTStartStop;
extern RsRangeTable rsrtm_rngProtocolI2CFrameState;
extern RsRangeTable rsrtm_rngProtocolAckBit;
extern RsRangeTable rsrtm_rngProtocolSPIBitOrder;
extern RsRangeTable rsrtm_rngProtocolSPIWordLength;
extern RsRangeTable rsrtm_rngProtocolWaveformSource;
extern RsRangeTable rsrtm_rngProtocolSPIPolarity;
extern RsRangeTable rsrtm_rngProtocolSPIDataAlignment;
extern RsRangeTable rsrtm_rngProtocolSPIFrameState;
extern RsRangeTable rsrtm_rngProtocolUARTParity;
extern RsRangeTable rsrtm_rngProtocolUARTStopBits;
extern RsRangeTable rsrtm_rngProtocolUARTTriggerType;
extern RsRangeTable rsrtm_rngPersistenceTime;
extern RsRangeTable rsrtm_rngSignalStyle;
extern RsRangeTable rsrtm_rngHardcopyDeviceOrientation;
extern RsRangeTable rsrtm_rngWaveformParameter;
extern RsRangeTable rsrtm_rngProtocolI2CAddressAccessBit;
extern RsRangeTable rsrtm_rngSampleRate;
extern RsRangeTable rsrtm_rngAveragingSpectrums;
extern RsRangeTable rsrtm_rngColorBrightness;
extern RsRangeTable rsrtm_rngDiagramMode;
extern RsRangeTable rsrtm_rngLanguage;
extern RsRangeTable rsrtm_rngGridStyle;
extern RsRangeTable rsrtm_rngSource;
extern RsRangeTable rsrtm_rngXY2Source;
extern RsRangeTable rsrtm_rngIntensityMode;
extern RsRangeTable rsrtm_rngIntensityTreshold;
extern RsRangeTable rsrtm_rngHardcopyDevice;
extern RsRangeTable rsrtm_rngHardcopyDeviceLang;
extern RsRangeTable rsrtm_rngPageSize;
extern RsRangeTable rsrtm_rngMeasResultRTM;
extern RsRangeTable rsrtm_rngChannelRTM;
extern RsRangeTable rsrtm_rngMaskCondition;
extern RsRangeTable rsrtm_rngMaskXWidth;
extern RsRangeTable rsrtm_rngMaskYWidth;
extern RsRangeTable rsrtm_rngYPosition;
extern RsRangeTable rsrtm_rngProbeButtonAction;
extern RsRangeTable rsrtm_rngTriggerCoupling;
extern RsRangeTable rsrtm_rngProtocolI2CAccessBit;
extern RsRangeTable rsrtm_rngAddressLength;
extern RsRangeTable rsrtm_rngProtocolI2CTriggerType;
extern RsRangeTable rsrtm_rngHysteresisMode;
extern RsRangeTable rsrtm_rngTriggerMode;
extern RsRangeTable rsrtm_rngTriggerPatternFunction;
extern RsRangeTable rsrtm_rngProtocolSPITriggerType;
extern RsRangeTable rsrtm_rngFirstBitOffset;
extern RsRangeTable rsrtm_rngSPIWordLength;
extern RsRangeTable rsrtm_rngTriggerType;
extern RsRangeTable rsrtm_rngTVStandard;
extern RsRangeTable rsrtm_rngProtocolUARTTriggerMode;
extern RsRangeTable rsrtm_rngUartLength;
extern RsRangeTable rsrtm_rngTrgDelay;
extern RsRangeTable rsrtm_rngColorScheme;
extern RsRangeTable rsrtm_rngAcquisitionType;
extern RsRangeTable rsrtm_rngAmplitudeTimeMeasurementType;
extern RsRangeTable rsrtm_rngHardcopyLang;
extern RsRangeTable rsrtm_rngProtocolType;
extern RsRangeTable rsrtm_rngProtocolFormat;
extern RsRangeTable rsrtm_rngProtocolHeight;
extern RsRangeTable rsrtm_rngProtocolVertical;
extern RsRangeTable rsrtm_rngParallelBusAnalyzedLinesRTM;
extern RsRangeTable rsrtm_rngProtocolBurstIdleTime;
extern RsRangeTable rsrtm_rngProtocolUARTWordLength;
extern RsRangeTable rsrtm_rngProtocolUARTBitRate;
extern RsRangeTable rsrtm_rngProtoclUARTBurstIdleTime;
extern RsRangeTable rsrtm_rngProtocolI2CPatternLength;
extern RsRangeTable rsrtm_rngYScale;
extern RsRangeTable rsrtm_rngBckLight;
extern RsRangeTable rsrtm_rngRelativeMode;
extern RsRangeTable rsrtm_rngChannelPolarity;
extern RsRangeTable rsrtm_rngExternalTriggerCoupling;
extern RsRangeTable rsrtm_rngMeasCategory;
extern RsRangeTable rsrtm_rngRelLevel;
extern RsRangeTable rsrtm_rngMathVerticalScale;
extern RsRangeTable rsrtm_rngSearchCondition;
extern RsRangeTable rsrtm_rngSearchSource;
extern RsRangeTable rsrtm_rngSearchSlope;
extern RsRangeTable rsrtm_rngSearchRange;
extern RsRangeTable rsrtm_rngWaveformPosition;
extern RsRangeTable rsrtm_rngScalingUnit;
extern RsRangeTable rsrtm_rngProbeUnit;
extern RsRangeTable rsrtm_rngProbeAttenuation;
extern RsRangeTable rsrtm_rngAutoMeasWaveforms;
extern RsRangeTable rsrtm_rngWaveformSamplesRange;
extern RsRangeTable rsrtm_rngMaskTestActionExecution;
extern RsRangeTable rsrtm_rngSearchTriggerPatternCombination;
extern RsRangeTable rsrtm_rngNumberofAverages;
extern RsRangeTable rsrtm_rngNumberOfWaveforms;
extern RsRangeTable rsrtm_rngSearchGateMode;
extern RsRangeTable rsrtm_rngProtocolSPITriggerSource;
extern RsRangeTable rsrtm_rngProtocolUARTTriggerSource;
extern RsRangeTable rsrtm_rngProtocolLINStandard;
extern RsRangeTable rsrtm_rngProtocolLINTriggerMode;
extern RsRangeTable rsrtm_rngProtocolCondition;
extern RsRangeTable rsrtm_rngProtocolDataLength;
extern RsRangeTable rsrtm_rngProtocolSearchEvent;
extern RsRangeTable rsrtm_rngProtocolLINSearchFrameSetup;
extern RsRangeTable rsrtm_rngProtocolCanLineType;
extern RsRangeTable rsrtm_rngProtocolCANBitRate;
extern RsRangeTable rsrtm_rngProtocolCANSamplePoint;
extern RsRangeTable rsrtm_rngProtocolCANTriggerMode;
extern RsRangeTable rsrtm_rngProtocolCANTriggerFrameType;
extern RsRangeTable rsrtm_rngProtocolCANIDType;
extern RsRangeTable rsrtm_rngProtocolCANSearchEvent;
extern RsRangeTable rsrtm_rngProtocolCANSearchFrameSetup;
extern RsRangeTable rsrtm_rngProtocolCANSearchFrameType;
extern RsRangeTable rsrtm_rngProtocolLINPolarity;
extern RsRangeTable rsrtm_rngProtocolSPIMISOPolarity;
extern RsRangeTable rsrtm_rngAutomaticMeasurementResultIndex;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSRTM_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSRTM_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSRTM_RS_ATTR_CACHE;
extern RsAttrProperties g_RSRTM_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSRTM_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSRTM_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPY;
extern RsAttrProperties g_RSRTM_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSRTM_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSRTM_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSRTM_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSRTM_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSRTM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSRTM_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSRTM_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSRTM_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSRTM_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSRTM_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSRTM_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSRTM_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSRTM_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSRTM_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSRTM_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSRTM_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSRTM_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSRTM_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSRTM_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSRTM_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSRTM_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSRTM_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSRTM_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSRTM_ATTR_ACQUISITION_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_WAVEFORM_ACQUISITION_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_FILTER_FREQUENCY;
extern RsAttrProperties g_RSRTM_ATTR_INTERPOLATION;
extern RsAttrProperties g_RSRTM_ATTR_NUM_AVERAGES;
extern RsAttrProperties g_RSRTM_ATTR_NUMBER_OF_WAVEFORMS;
extern RsAttrProperties g_RSRTM_ATTR_SAMPLE_MODE;
extern RsAttrProperties g_RSRTM_ATTR_WAVEFORM_RATE;
extern RsAttrProperties g_RSRTM_ATTR_HORZ_TIME_PER_RECORD;
extern RsAttrProperties g_RSRTM_ATTR_HORZ_RECORD_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_HORZ_SCALE;
extern RsAttrProperties g_RSRTM_ATTR_ACQUSITION_START_TIME;
extern RsAttrProperties g_RSRTM_ATTR_ACQUISITION_TIME;
extern RsAttrProperties g_RSRTM_ATTR_HORZ_ADC_SAMPLE_RATE;
extern RsAttrProperties g_RSRTM_ATTR_HORZ_SAMPLE_RATE;
extern RsAttrProperties g_RSRTM_ATTR_AUTOSCALE;
extern RsAttrProperties g_RSRTM_ATTR_HORZ_DIVISIONS;
extern RsAttrProperties g_RSRTM_ATTR_HORZ_REFERENCE;
extern RsAttrProperties g_RSRTM_ATTR_ROLL_MODE;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_NAME;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_INPUT_IMPEDANCE;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_INPUT_CAPACITANCE;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_ATTENUATION;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_BANDWIDTH;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_DC_OFFSET;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_ADDITIONAL_OFFSET;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_VOLTMETER_STATE;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_ATTENUATION_UNIT;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_ATTENUATION_MANUAL;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_MICRO_BUTTON_ACTION;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_SOFTWARE_VERSION;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_PRODUCTION_DATE;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_PART_NUMBER;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_BUILD_NUMBER;
extern RsAttrProperties g_RSRTM_ATTR_PROBE_SERIAL_NUMBER;
extern RsAttrProperties g_RSRTM_ATTR_LABEL_STATE;
extern RsAttrProperties g_RSRTM_ATTR_LABEL_NAME;
extern RsAttrProperties g_RSRTM_ATTR_CHANNEL_ENABLED;
extern RsAttrProperties g_RSRTM_ATTR_VERTICAL_RANGE;
extern RsAttrProperties g_RSRTM_ATTR_VERTICAL_OFFSET;
extern RsAttrProperties g_RSRTM_ATTR_VERTICAL_COUPLING;
extern RsAttrProperties g_RSRTM_ATTR_VERTICAL_SCALE;
extern RsAttrProperties g_RSRTM_ATTR_CHANNEL_OFFSET;
extern RsAttrProperties g_RSRTM_ATTR_CHANNEL_BANDWIDTH_LIMIT;
extern RsAttrProperties g_RSRTM_ATTR_CHANNEL_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_CHANNEL_OVERLOAD;
extern RsAttrProperties g_RSRTM_ATTR_CHANNEL_SKEW;
extern RsAttrProperties g_RSRTM_ATTR_CHANNEL_THRESHOLD;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_EXTERNAL_TRIGGER_COUPLING;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_HOLDOFF_TIME;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_HYSTERESIS;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_STATE;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_MODIFIER;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_EVENT_COUNT;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_LEVEL_AUTO_FIND;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_DELAY;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_SLOPE;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_COUPLING;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_FILTER;
extern RsAttrProperties g_RSRTM_ATTR_TV_TRIGGER_EVENT;
extern RsAttrProperties g_RSRTM_ATTR_TV_TRIGGER_LINE_NUMBER;
extern RsAttrProperties g_RSRTM_ATTR_TV_TRIGGER_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_TV_STANDARD;
extern RsAttrProperties g_RSRTM_ATTR_WIDTH;
extern RsAttrProperties g_RSRTM_ATTR_WIDTH_DELTA;
extern RsAttrProperties g_RSRTM_ATTR_WIDTH_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_WIDTH_CONDITION;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_PATTERN_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_PATTERN_FUNCTION;
extern RsAttrProperties g_RSRTM_ATTR_TRIGGER_PATTERN_POINT_STATE;
extern RsAttrProperties g_RSRTM_ATTR_WAVEFORM_SAMPLES;
extern RsAttrProperties g_RSRTM_ATTR_RUN_SINGLE;
extern RsAttrProperties g_RSRTM_ATTR_RUN_CONTINUOUS;
extern RsAttrProperties g_RSRTM_ATTR_STOP;
extern RsAttrProperties g_RSRTM_ATTR_SEND_SW_TRIGGER;
extern RsAttrProperties g_RSRTM_ATTR_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM_ATTR_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM_ATTR_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM_ATTR_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM_ATTR_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM_ATTR_MATH_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM_ATTR_MATH_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM_ATTR_MATH_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM_ATTR_MATH_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM_ATTR_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM_ATTR_MAIN_MEASUREMENT_RESULT;
extern RsAttrProperties g_RSRTM_ATTR_AMPT_MAIN_MEASUREMENT;
extern RsAttrProperties g_RSRTM_ATTR_MEAS_DELAY_SLOPE;
extern RsAttrProperties g_RSRTM_ATTR_MEAS_CATEGORY;
extern RsAttrProperties g_RSRTM_ATTR_MEAS_RELATIVE_MODE;
extern RsAttrProperties g_RSRTM_ATTR_MEAS_RELATIVE_LOWER_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_MEAS_RELATIVE_UPPER_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_MEAS_RELATIVE_MIDDLE_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_MEASUREMENT_ENABLED;
extern RsAttrProperties g_RSRTM_ATTR_MEASUREMENT_CATEGORY;
extern RsAttrProperties g_RSRTM_ATTR_QUICK_MEASUREMENTS_ENABLE;
extern RsAttrProperties g_RSRTM_ATTR_QUICK_MEASUREMENTS_DISABLE;
extern RsAttrProperties g_RSRTM_ATTR_QUICK_MEASUREMENTS_ENABLE_WITH_STATUS_BIT;
extern RsAttrProperties g_RSRTM_ATTR_CLEAR_MEASUREMENT_STATISTIC_DATA;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_ENABLED;
extern RsAttrProperties g_RSRTM_ATTR_ALL_CURSORS_OFF;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_MEASUREMENT_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_TRACKING;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_X_POSITION;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_X_POSITION_COUPLING;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_Y_POSITION;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_Y_POSITION_COUPLING;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_AUTOSET;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_RESET;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_PEAK_NEXT;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_PEAK_PREVIOUS;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_ADJUSTMENT;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_X_RATIO_MEASUREMENT_UNIT;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_Y_RATIO_MEASUREMENT_UNIT;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_X_RATIO_MEASUREMENT;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_Y_RATIO_MEASUREMENT;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_DISTANCE;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_INVERSE_DISTANCE;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_VOLTAGE_INVERSE_DISTANCE;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_POSITION;
extern RsAttrProperties g_RSRTM_ATTR_CURSOR_PEAK_EXCURSION;
extern RsAttrProperties g_RSRTM_ATTR_AUTOMATIC_MEASUREMENT_STATE;
extern RsAttrProperties g_RSRTM_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_WAVEFORMS;
extern RsAttrProperties g_RSRTM_ATTR_RESET_AUTOMATIC_MEASUREMENT;
extern RsAttrProperties g_RSRTM_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_MEASURED_WAVEFORMS;
extern RsAttrProperties g_RSRTM_ATTR_AUTOMATIC_MEASUREMENT_RESULT;
extern RsAttrProperties g_RSRTM_ATTR_AUTOMATIC_MEASUREMENT_RESULT_INDEX;
extern RsAttrProperties g_RSRTM_ATTR_AUTOMATIC_MEASUREMENT_SINGLE_STATISTICAL_VALUE;
extern RsAttrProperties g_RSRTM_ATTR_MATH_WAVEFORM_HEADER;
extern RsAttrProperties g_RSRTM_ATTR_MATH_WAVEFORM_ENABLED;
extern RsAttrProperties g_RSRTM_ATTR_MATH_WAVEFORM_POSITION;
extern RsAttrProperties g_RSRTM_ATTR_MATH_VERTICAL_SCALE;
extern RsAttrProperties g_RSRTM_ATTR_MATH_ACQUISITION_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_MATH_EXPRESSION;
extern RsAttrProperties g_RSRTM_ATTR_FFT_CENTER_FREQUENCY;
extern RsAttrProperties g_RSRTM_ATTR_FFT_FREQUENCY_SPAN;
extern RsAttrProperties g_RSRTM_ATTR_FFT_FULL_SPAN;
extern RsAttrProperties g_RSRTM_ATTR_FFT_START_FREQUENCY;
extern RsAttrProperties g_RSRTM_ATTR_FFT_STOP_FREQUENCY;
extern RsAttrProperties g_RSRTM_ATTR_FFT_AVERAGING;
extern RsAttrProperties g_RSRTM_ATTR_FFT_WINDOW_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_FFT_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSRTM_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED;
extern RsAttrProperties g_RSRTM_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSRTM_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSRTM_ATTR_FFT_SCALING_UNIT;
extern RsAttrProperties g_RSRTM_ATTR_FFT_SAMPLE_RATE;
extern RsAttrProperties g_RSRTM_ATTR_FFT_YT_WINDOW_POSITION;
extern RsAttrProperties g_RSRTM_ATTR_FFT_YT_WINDOW_WIDTH;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_HEADER;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_UPDATE;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_LOAD_FROM_FILE;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_LOAD_CONFIGURATION;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_SAVE_TO_FILE;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_CATALOG;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_SCALE;
extern RsAttrProperties g_RSRTM_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION;
extern RsAttrProperties g_RSRTM_ATTR_MASK_ENABLED;
extern RsAttrProperties g_RSRTM_ATTR_MASK_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_MASK_TEST;
extern RsAttrProperties g_RSRTM_ATTR_MASK_COPY_CHANNEL;
extern RsAttrProperties g_RSRTM_ATTR_MASK_HIT_COUNT;
extern RsAttrProperties g_RSRTM_ATTR_MASK_COUNT;
extern RsAttrProperties g_RSRTM_ATTR_MASK_STORE;
extern RsAttrProperties g_RSRTM_ATTR_MASK_LOAD;
extern RsAttrProperties g_RSRTM_ATTR_MASK_TEST_ACTION_EXECUTION;
extern RsAttrProperties g_RSRTM_ATTR_MASK_TEST_VIOLATION_COUNT;
extern RsAttrProperties g_RSRTM_ATTR_MASK_RESET_TEST_COUNTER;
extern RsAttrProperties g_RSRTM_ATTR_MASK_VERTICAL_OFFSET;
extern RsAttrProperties g_RSRTM_ATTR_MASK_VERTICAL_SCALING;
extern RsAttrProperties g_RSRTM_ATTR_MASK_VERTICAL_WIDTH;
extern RsAttrProperties g_RSRTM_ATTR_MASK_HORIZONTAL_WIDTH;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_STATE;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_CONDITION;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_EDGE_SLOPE;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_EDGE_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_EDGE_HYSTERSIS;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_WIDTH_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_WIDTH_HYSTERSIS;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_WIDTH_WIDTH;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_WIDTH_DELTA;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_WIDTH_RANGE;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_PEAK_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_PEAK_LIMIT;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RISE_TIME_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RISE_TIME_RANGE;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RISE_TIME_REFERENCE_TIME;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RISE_TIME_DELTA_TIME;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RUNT_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RUNT_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RUNT_RANGE;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RUNT_WIDTH;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_RUNT_DELTA_WIDTH;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_D2C_CLOCK_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_D2C_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_D2C_HYSTERESIS;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_D2C_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_D2C_SETUP_TIME;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_D2C_HOLD_TIME;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_PATTERN_COMBINATION;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_PATTERN_COMPARISON;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_PATTERN_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_TRIGGER_PATTERN_HYSTERESIS;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_GATE_MODE;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_GATE_START;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_GATE_STOP;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_SHOW_RESULT;
extern RsAttrProperties g_RSRTM_ATTR_SEARCH_NUMBER_OF_RESULTS;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_STATE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_FIND_LEVEL;
extern RsAttrProperties g_RSRTM_ATTR_BUS_SAVE_DECODED_DATA;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_DISPLAY_FORMAT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_DISPLAY_HEIGHT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_DISPLAY_LINES;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_DISPLAY_VERTICAL;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_I2C_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_I2C_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_I2C_TRIGGER_CONDITION_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_I2C_TRIGGER_BIT_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_I2C_TRIGGER_FIRST_BYTE_OFFSET;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_I2C_FRAME_COUNT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_BIT_ORDER;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_MISO_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_WORD_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_TRIGGER_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_TRIGGER_OFFSET;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_BIT_PATTERN_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_BIT_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SPI_FRAME_COUNT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SSPI_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SSPI_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SSPI_MISO_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SSPI_INTERFRAME_TIME;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SSPI_BIT_ORDER;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_SSPI_WORD_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_SOURCE_LINE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_INTERFRAME_TIME;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_WORD_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_BIT_RATE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_PARITY;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_STOP_BITS;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_TRIGGER_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_TRIGGER_CONDITION_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_UART_FRAME_COUNT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_POLARITY;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_STANDARD;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_BIT_RATE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_TRIGGER_ID_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_TRIGGER_DATA_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_TRIGGER_ERROR;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_FRAME_COUNT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_SEARCH_EVENT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_SEARCH_FRAME_SETUP;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_SEARCH_CONDITION;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_SEARCH_ID_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_SEARCH_DATA_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_SEARCH_DATA_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_LIN_SEARCH_ERROR;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_LINE_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_BIT_RATE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SAMPLE_POINT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_TRIGGER_ID_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_TRIGGER_DATA_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_TRIGGER_DATA_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_TRIGGER_ERROR;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_FRAME_COUNT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SEARCH_EVENT;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SEARCH_FRAME_SETUP;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SEARCH_FRAME_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SEARCH_ID_TYPE;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SEARCH_CONDITION;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SEARCH_ID_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SEARCH_DATA_LENGTH;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SEARCH_DATA_PATTERN;
extern RsAttrProperties g_RSRTM_ATTR_PROTOCOL_CAN_SEARCH_ERROR;
extern RsAttrProperties g_RSRTM_ATTR_PARALLEL_BUS_ANALYZED_LINES;
extern RsAttrProperties g_RSRTM_ATTR_DISPLAY_STYLE;
extern RsAttrProperties g_RSRTM_ATTR_COLOR_AND_BRIGHTNESS;
extern RsAttrProperties g_RSRTM_ATTR_SIGNAL_STYLE;
extern RsAttrProperties g_RSRTM_ATTR_DIAGRAM_GRID_STYLE;
extern RsAttrProperties g_RSRTM_ATTR_WAVEFORM_INTENSITY;
extern RsAttrProperties g_RSRTM_ATTR_BACKGROUND_INTENSITY;
extern RsAttrProperties g_RSRTM_ATTR_GRID_INTENSITY;
extern RsAttrProperties g_RSRTM_ATTR_DISPLAY_LANGUAGE;
extern RsAttrProperties g_RSRTM_ATTR_REMOVE_DISPLAY_LANGUAGE;
extern RsAttrProperties g_RSRTM_ATTR_DIAGRAM_MODE;
extern RsAttrProperties g_RSRTM_ATTR_PERSISTENCE_STATE;
extern RsAttrProperties g_RSRTM_ATTR_INFINITE_PERSISTENCE;
extern RsAttrProperties g_RSRTM_ATTR_PERSISTENCE_TIME;
extern RsAttrProperties g_RSRTM_ATTR_PERSISTENCE_TIME_AUTO;
extern RsAttrProperties g_RSRTM_ATTR_PERSISTENCE_CLEAR;
extern RsAttrProperties g_RSRTM_ATTR_XY_X_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_XY_Y_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_XY_Y2_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_XY_Z_SOURCE;
extern RsAttrProperties g_RSRTM_ATTR_XY_Z_TRESHOLD;
extern RsAttrProperties g_RSRTM_ATTR_XY_INTENSITY_CONTROL;
extern RsAttrProperties g_RSRTM_ATTR_ZOOM_WINDOW_STATE;
extern RsAttrProperties g_RSRTM_ATTR_ZOOM_DIAGRAM_TIMEBASE;
extern RsAttrProperties g_RSRTM_ATTR_ZOOM_OFFSET_OF_TRIGGER_POINT;
extern RsAttrProperties g_RSRTM_ATTR_ZOOM_REFERENCE_POINT;
extern RsAttrProperties g_RSRTM_ATTR_MARKER_SET;
extern RsAttrProperties g_RSRTM_ATTR_MARKER_CLEAR;
extern RsAttrProperties g_RSRTM_ATTR_MARKER_CLEAR_ALL;
extern RsAttrProperties g_RSRTM_ATTR_MARKER_NEXT;
extern RsAttrProperties g_RSRTM_ATTR_MARKER_PREVIOUS;
extern RsAttrProperties g_RSRTM_ATTR_DRIVES;
extern RsAttrProperties g_RSRTM_ATTR_CHANGE_DRIVE;
extern RsAttrProperties g_RSRTM_ATTR_CURRENT_DIRECTORY;
extern RsAttrProperties g_RSRTM_ATTR_CREATE_DIRECTORY;
extern RsAttrProperties g_RSRTM_ATTR_REMOVE_DIRECTORY;
extern RsAttrProperties g_RSRTM_ATTR_DELETE_FILE;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_FILE_NAME;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_LANGUAGE;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_DEVICE_DESTINATION;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_COLOR_SCHEME;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_DEVICE_ORIENTATION;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_PAGE_SIZE;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_PRINT;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_SELECT_PRINTER;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_GET_FIRST_PRINTER;
extern RsAttrProperties g_RSRTM_ATTR_HARDCOPY_GET_NEXT_PRINTER;
extern RsAttrProperties g_RSRTM_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSRTM_ATTR_CALIBRATION;
extern RsAttrProperties g_RSRTM_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSRTM_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSRTM_ATTR_SYST_ERR_LIST;
extern RsAttrProperties g_RSRTM_ATTR_INSTRUMENT_NAME;
extern RsAttrProperties g_RSRTM_ATTR_RESET_STATUS_REGISTER;
extern RsAttrProperties g_RSRTM_ATTR_REGISTER;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsrtm_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsrtm_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSRTM_ATTRIBUTES_HEADER */
